#include <bits/stdc++.h>
using namespace std;

void compress(string& s) {
	vector<pair<string,string>> replacements = {
		{"AA", ""},
		{"BB", ""},
		{"CC", ""},
		{"ABA", "B"},
		{"CBC", "B"}
	};
	while (1) {
		string new_s = s;
		for (auto pp: replacements) {
			new_s = regex_replace(new_s, regex(pp.first), pp.second);
		}
		if (s == new_s) break;
		s = new_s;
	}
}

void solve() {
	string s, t;
	cin >> s >> t;
	compress(s);
	compress(t);
	if (s == t) cout << "YES\n";
	else cout << "NO\n";
}

int main() {
	int t;
	cin >> t;
	while (t--) solve();
}
