#include <string>
#include<algorithm>
#include<vector>
#include<iostream>

using namespace std;

vector<string> rem = {"AA", "BB", "CC", "ABAB", "CBCB"};


bool try_rem(string & a, string b){
    for (int i=0; i+b.size() < a.size(); i++){
        bool geht = true;
        for (int j=0; j<(int)b.size(); j++){
            if (a[i+j]!=b[j]) geht = false;
        }
        if (geht){
            a.erase(i, b.size());
            return true;
        }
    }
    return false;
}


string normal_form(string&a){
    bool c = false;
    for (int i=0;i<5; i++){
        c= c || try_rem(a, rem[i]);
    }
    if (c) return normal_form(a);
    return a;

}


bool do_test(){
    string a, b; cin >> a >> b;
    return normal_form(a) == normal_form(b);

}

signed main(){
    int T; cin >> T;
    while(T--){
        if (do_test()){
            cout << "YES\n";
        }else{
            cout << "NO\n";
        }
    }
}

